<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>columns-001</title>
	<style>
		@page {
			margin: 1cm;
			size: A5;
		}

		main {
			display: block;
			columns: 3;
			column-fill: balance;
			column-rule: solid 1px black;
			background-color: lightgrey;
			border: solid 1px black;
			padding: 1em;
		}

		.column {
			break-before: column;
		}

		.span {
			column-span: all;
		}
	</style>
</head>
<body>
<main>
	<div class="column">Column 1</div>
	<div class="column">
		<p>
			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque posuere fringilla velit eu fermentum. Praesent eros nulla, suscipit non vulputate non, elementum eu leo. Curabitur eu est sit amet nisl luctus mollis eu sed lectus.
			Curabitur fringilla nec ante eu mollis. Cras id vestibulum dui. Duis ultricies velit et libero iaculis, eget aliquam nunc molestie. Nam posuere dui id justo imperdiet, non cursus ligula sollicitudin. Sed ac sapien nec tellus
			volutpat imperdiet. Nam libero est, rutrum at semper ut, viverra et lorem.
		</p>
		<p>
			Maecenas sollicitudin felis vel lectus lacinia molestie. Nam id arcu elit. Sed non purus velit. Vestibulum sodales erat in semper sollicitudin. Nunc eu commodo metus. Praesent scelerisque augue eget tincidunt pretium. Nullam
			interdum leo sed lorem dignissim laoreet.
		</p>
	</div>
</main>
</body>
</html>

